# Comms Tech Lead Role Handbook

## Overview

This handbook outlines expectations and responsibilities for Tech Leads as well as Contributor Comms team members who wish to contribute to technical efforts.

Tech leads' contributions further the Contributor Comms team's efforts to communicate  contributors' stories by resolving technical issues and decisions around [contributor-site](https://www.kubernetes.dev/), social media automation tools [kubernetes-sigs/contributor-tweets](https://github.com/kubernetes-sigs/contributor-tweets), and [slack-bot](https://github.com/kubernetes-sigs/slack-infra/tree/main/slack-post-message). 

[contributor-site](https://www.kubernetes.dev/) is a one-stop for Kubernetes contributor content and news. It brings important documentation scattered throughout the project into one central location. 

Along with contributor-site there exist two automation tools that help:
1. To create tweets (k8scontributors) via GitHub actions (see: [workflow](https://github.com/kubernetes-sigs/contributor-tweets/blob/main/.github/workflows/main.yml)) 
2. To broadcasts messages across multiple slack channels (see: [slack-bot](https://github.com/kubernetes-sigs/slack-infra/tree/main/slack-post-message))

The [contributor-tweets repo](https://github.com/kubernetes-sigs/contributor-tweets) utilizes open source Github action [twitter-together](https://github.com/gr2m/twitter-together) project to automate tweet approval from an issue.

## Minimum Skills and Requirements

- Are a member of the [Kubernetes GitHub Org]
- Good knowledge of Node.js, Hugo(docsy theme and frontmatter)
- Have a basic experience in Go (for Slack bot)
- Have a good understanding of Github actions
- Available to either attend regular Contributor Comms meetings or collaborate asynchronously via the #sig-contribex-comms channel in the Kubernetes Slack

### Expected Time Investment

Team leads: 4-5 hours per week.
Team members: 2-3 hours per week.

## General Expectations

- Be welcoming, be yourself
- Take ownership of an issue and submit a PR for repositories like (especially if it's quick or relates to work you're already doing) Contributor-site, tweets, and, slack bot
- Have an understanding of what an issue is about and able to triage them, or know who to contact to determine the required information
- Coordinate work to fix any issues in automation tools to ensure valid tweet requests are fulfilled
- Train new leads

Team members will be expected to keep an eye out for news or issues related to slack bot or Github automation. Common sources of such announcements are the k-dev mailing list and the #contributor-comms channel on Slack.

## Associates Overview (Shadow)

Team members who wish to become technical leads shadow should express this desire to the current lead.

Leads should work with shadows to understand their capacity to take on the needs of the lead role and work with the shadow on a plan for them to take on responsibility including:

* General familiarity with our repositories and automation tools
* Willingness and ability to follow up with contributors about issues, on Github, Slack, and email, as appropriate
* Ability to file well-crafted Kubernetes issues, including labeling and prow commands 
* General knowledge of our SIG system and SIGs' areas of responsibility or knowing who to contact to determine the required information

Additionally, the following qualifications make a candidate more suitable for the technical team, but are not requirements:

* Prior involvement with the Contributor Comms team and the contributor experience team
* Experience with Github actions and Github workflow
* A basic understanding of Golang
