# Social Media Role Handbook

## Overview

This handbook outlines expectations and responsibilities for Social Media Leads as well as Contributor Comms team members who wish to contribute to social media efforts.

Social Media leads' contributions further the Contributor Comms team's efforts to communicate with contributors on a broad scale through social media.  At time of writing, the primary social media channel we communicate through is the [@K8sContributors handle on twitter](https://twitter.com/K8sContributors).

Any Kubernetes contributor can write tweets to be distributed through the twitter handle by utilizing the [kubernetes-sigs/contributor-tweets repo](https://github.com/kubernetes-sigs/contributor-tweets). This repo utilizes the open source [twitter-together](https://github.com/gr2m/twitter-together) project to automate tweeting approved from the @K8sContributor handle. The repo also features automation to convert issues into PRs, to make it easier to create tweets with minimal interaction with Github's PR process.

Do note that tweets targeting the greater Kubernetes community should potentially use the @Kubernetesio account. Tweets using this account must be coordinated with the CNCF. Ownership of @Kubernetesio does not reside within the Contributor Comms team. For any tweets to be coordinated with @Kubernetesio, you will need to make contact with CNCF marketing members in charge of the account. Tweets using the @kubernetesio account are often limited in the content and quantity that may be sent.


## Minimum Skills and Requirements

- Are a member of the [Kubernetes GitHub Org]
- Familiar with twitter by either having a personal account or managing another account (brand, oss project, employer, local nonprofit, etc)
- Available to either attend regular Contributor Comms meetings or collaborate asynchronously via the #sig-contribex-comms channelnin the Kubernetes Slack

### Expected Time Investment

Team leads: 3-5 hours per week.
Team members: 1-3 hour per week.

## General Expectations

- Rules for social posts and more can be found in [social guidelines](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/storytelling-resources/social-guidelines.md)
- Be welcoming, be yourself
- Understanding, communicating, and setting/adjusting [social guidelines](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/storytelling-resources/social-guidelines.md)
- Coordinating work to create tweets, ensuring tweet requests are fulfilled
- Working with other Contributor Comms leads, such as the Event Coordinator Lead, on social media tasks
- Approving tweet PRs on [kubernetes-sigs/contributor-tweets](https://github.com/kubernetes-sigs/contributor-tweets)
- Training new leads

The leader(s) of the social media team will be expected to monitor the @K8sContributors handle. Retweets, replies, and responding to replies appropriately fall under the purview of the social media lead. Time-sensitive tweets should also be handled directly by the team lead. Team leads should coordinate with team members to plan tweets in advance, particularly for large contributor-focused events such as KubeCon or Contributor Summit.

Team members will be expected to keep an eye out for news in need of tweeting. Common sources of such announcements are the k-dev mailing list and the #contributor-comms channel on Slack. Team members can submit less time-sensitive tweets to the [kubernetes-sigs/contributor-tweets repo](https://github.com/kubernetes-sigs/contributor-tweets) for review and tweeting.

## Associates Overview (Shadow)

Team members who wish to become social media leads should express this desire to the current lead.
Leads should work with shadows to understand their capacity to take on the needs of the lead role and work with the shadow on a plan for them to take on responsibility including:
* Becoming an owner (approver privileges) on the [kubernetes-sigs/contributor-tweets](https://github.com/kubernetes-sigs/contributor-tweets) repo
* Watching for new tweet PRs and working with PR creators on scheduling/approving tweets
* Watching for new tweet requests and ensuring they get assigned to team members or created directly
* Taking on direct Twitter management
